#!/bin/bash

set -e


## build software
rm -rf build
mkdir build && cd build
cmake .. -D BUILD_TESTING=ON
cmake --build .

## run tests
ctest -V

## run the executable
./src/main \
  ../recordings/10732.pb \
  ../recordings/10740.pb \
  ../recordings/10742.pb \
  grid.json

echo ""
echo "result written to grid.json"

